%define name	scribes
%define version 0.3.2.8
%define release %mkrel 1
%define subrel	1

Summary:	Simple yet powerful GNOME text editor
Name:		%name
Version:	%version
Release:	%release
License:	GPL 
Group:		Editors
URL:		http://scribes.sourceforge.net
Source0:	http://internap.dl.sourceforge.net/sourceforge/scribes/%name-%version.tar.bz2
BuildRoot:	%_tmppath/%name-%version-%release-buildroot
Buildrequires:	libxslt-proc pygtk2.0-devel yelp dbus-python gnome-python gnome-python-extras gnome-python-gtkspell gnome-python-gtksourceview desktop-file-utils
Requires:	yelp dbus-python pygtk2.0 gnome-python gnome-python-extras gnome-python-gtkspell
Requires:	gnome-python-gtksourceview gnome-python-gconf
Requires:	pygtk2.0-libglade

%description
Scribes is a text editor for GNOME that is simple,
slim and sleek, yet powerful.

Scribes focuses on streamlining your workflow. 
It does so by ensuring common and repetitive operations 
are intelligently automated. And also by eliminating 
factors that prevent you from focusing on your tasks.

%prep
%setup -q

%build
%configure --disable-scrollkeeper --disable-schemas-install
%make

%install
%makeinstall_std
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Utility" \
  --add-category="TextEditor" \
  --add-category="X-MandrivaLinux-MoreApplications-Editors" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %name 

%post
%define schemas %name
%post_install_gconf_schemas %schemas
%update_scrollkeeper
%update_icon_cache hicolor
%update_desktop_database 

%preun
%preun_uninstall_gconf_schemas %schemas

%postun
%clean_scrollkeeper
%clean_icon_cache hicolor 
%clean_desktop_database

%clean
rm -rf %buildroot

%files -f %name.lang 
%defattr(0755,root,root,0755)

%py_puresitedir/SCRIBES
%_bindir/%name
%_datadir/%name/
%_datadir/pixmaps/%name.png
%_datadir/gnome/help/%name/
%_iconsdir/hicolor/*/apps/%name.*
%_datadir/omf/%name/
%_sysconfdir/gconf/schemas/%name.schemas
%_datadir/applications/%name.desktop

%defattr(0644,root,root,0755) 
%doc AUTHORS ChangeLog CONTRIBUTORS COPYING NEWS README TRANSLATORS TODO 


%changelog
* Wed Jan 09 2008 Bogdano Arendartchuk <bogdano@mandriva.com> 0.3.2.8-1.1mdv2008.0
+ Revision: 147416
- Added missing dependencies, as pointed out by elyezer at #mandriva-br

* Thu Jun 07 2007 Funda Wang <fundawang@mandriva.org> 0.3.2.8-1mdv2008.0
+ Revision: 36417
- New version

* Fri May 18 2007 Adam Williamson <awilliamson@mandriva.com> 0.3.2.5-2mdv2008.0
+ Revision: 28297
- fix menu entry categories
- bump release
- buildrequires libxslt-proc

* Thu May 17 2007 Adam Williamson <awilliamson@mandriva.com> 0.3.2.5-1mdv2008.0
+ Revision: 27569
- 0.3.2.5

* Mon May 14 2007 Adam Williamson <awilliamson@mandriva.com> 0.3.2.2-1mdv2008.0
+ Revision: 26600
- Import scribes

